Version mismatch between Cloud and Download versions

Hi,

first of all, I want to say thank you for building Youtrack. I have been using Youtrack InCloud for almost a year and I really like the flexibility of the product.

However, a few days ago we decided to move from Youtrack InCloud to a self-hosted version. Unfortunately, I can't restore my backup from the InCloud version. After examining the call stack I discovered the following message:

2013-11-27 19:14:42.123:WARN:oejs.ErrorPageErrorHandler:EXCEPTION
org.eclipse.jetty.servlet.ServletHolder$1: java.lang.RuntimeException: Your database was touched by YouTrack build 7537. Downgrade is denied, please restore your database from backup.

The download version of YouTrack has the build number 7527.

What can I do to remedy this problem? Our team has to work on these issues every day and our project is impacted severely by this problem. Can I lower the required build number in my backup? Or is it more likely that JetBrains will make Build 7537 available for download? Any tips are highly appreciated.

Best,
Christoph
13 comments
Comment actions Permalink
Christoph,

We've already handled this in email thread, but I'd like to mention the solution here, too.
This problem may occur when you migrate from InCloud to Stand-alone or vice versa.
To solve this, contact us and we'll provide you with the last YouTrack build; or upload your database to our ftp, we'll fix the issue locally and provide you with the fixed database.

Thank you.
0
Comment actions Permalink
Dear Andrey,

thank you for your support. With the new download builds, I was able to run YouTrack locally.

Best,
Christoph


Am 28.11.2013 um 13:49 schrieb andrey tigay - YouTrack <jetforum@jetbrains.com<mailto:jetforum@jetbrains.com>>:


YouTrack<http://forum.jetbrains.com/forum/YouTrack> > Version mismatch between Cloud and Download versions<http://forum.jetbrains.com/thread/YouTrack-1332> 7:49 am<http://forum.jetbrains.com/thread/YouTrack-1332?message=YouTrack-1332-1> andrey tigay<http://forum.jetbrains.com/user/andrey.tigay>

Christoph,

We've already handled this in email thread, but I'd like to mention the solution here, too.
This problem may occur when you migrate from InCloud to Stand-alone or vice versa.
To solve this, contact us and we'll provide you with the last YouTrack build; or upload your database to our ftp<ftp://ftp.intellij.net/.uploads>, we'll fix the issue locally and provide you with the fixed database.

Thank you.


Regards,

Andrey Tigay
YouTrack engineer


Christoph Kepper<http://forum.jetbrains.com/user/Christoph%20Kepper> @ Nov 27<http://forum.jetbrains.com/thread/YouTrack-1332>

Hi,

first of all, I want to say thank you for building Youtrack. I have been using Youtrack InCloud for almost a year and I really like the flexibility of the product.

However, a few days ago we decided to move from Youtrack InCloud to a self-hosted version. Unfortunately, I can't restore my backup from the InCloud version. After examining the call stack I discovered the following message:

2013-11-27 19:14:42.123:WARN:oejs.ErrorPageErrorHandler:EXCEPTION
org.eclipse.jetty.servlet.ServletHolder$1: java.lang.RuntimeException: Your database was touched by YouTrack build 7537. Downgrade is denied, please restore your database from backup.

The download version of YouTrack has the build number 7527.

What can I do to remedy this problem? Our team has to work on these issues every day and our project is impacted severely by this problem. Can I lower the required build number in my backup? Or is it more likely that JetBrains will make Build 7537 available for download? Any tips are highly appreciated.

Best,
Christoph


JetBrains Forum | Build #173 (Sep/19/2013 4:50PM) | Feedback<http://confluence.jetbrains.net/display/JETF/Feedback>
0
Comment actions Permalink
Hi Andrey.

I'm experiencing the same problem Christoph had, but between the current in-cloud version (build 7581) and the standalone version (build 7561).

Could you help me, making the build 7581 (or newer) available to download somehow?

EDIT: We are using the .WAR version on our Tomcat server.

Thank you in advance.

Rudy Seidinger
0
Comment actions Permalink
Hi guys,
I'm facing the same problem. Any help would be appreciated.

Jarek
0
Comment actions Permalink
i have the same problem as well. we want to stick with the InCloud version, but do some customization and testing on a local copy before making changes to our "live" version.
i need to import the data from our InCloud instance (5.0.5 build 7581) to a downloaded version. seems like the easiest way to do that would be to get a JAR file for 5.0.5 build 7581 that i can install locally.

love youtrack, trying to get it installed at yet another company.
0
Comment actions Permalink
Hello,

Does anybody have WAR or JAR file for YouTrack build 7581 ?
As you can see, many people have the same problem ...

Piotr
0
Comment actions Permalink
Andrey, I'm having the same issue.  Could you provide a download link to the latest InCloud build that I can install on my stand-alone?  Thanks.
0
Comment actions Permalink

Dear, 

the same issue here. Can you provide me the standalone version of the current incloud release? I cannot migrate to a standalone release because the incloud version is 2017.2, while the standalone is the 2017.1.

Thanks, 

Davide

0
Comment actions Permalink

Hello Davide, we're planning to release the standalone builds today, please watch the announces. Thank you!

0
Comment actions Permalink

Great, thanks so much!

0
Comment actions Permalink

Hello, I'm having the same issue, the InCloud build is 32799 but I can only get the 32582 from download page. Can someone get me the 32799 build in JAR?

Thanks!

0
Comment actions Permalink

Tiago, thanks for reaching out! We've just released the standalone builds: https://blog.jetbrains.com/youtrack/2017/05/youtrack-2017-2-build-32799-bug-fix-is-here/

0
Comment actions Permalink

Liubov Dievskaia, thanks!

0

Please sign in to leave a comment.